---------------------
PatchSet 7905 
Date: 2006/05/23 19:11:38
Author: serassio
Branch: nt
Tag: (none) 
Log:
Makefile.am files cleanup

Members: 
	snmplib/Makefile.am:1.2.120.1->1.2.120.2 
	src/Makefile.am:1.34.2.2->1.34.2.3 
	src/fs/Makefile.am:1.3.30.1->1.3.30.2 
	src/fs/diskd/Makefile.am:1.2.118.1->1.2.118.2 
	src/repl/Makefile.am:1.3.44.1->1.3.44.2 

Index: squid/snmplib/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/Makefile.am,v
retrieving revision 1.2.120.1
retrieving revision 1.2.120.2
diff -u -r1.2.120.1 -r1.2.120.2
--- squid/snmplib/Makefile.am	16 May 2006 21:06:01 -0000	1.2.120.1
+++ squid/snmplib/Makefile.am	23 May 2006 19:11:58 -0000	1.2.120.2
@@ -8,11 +8,7 @@
 	mib.c snmp_api_error.c   \
 	snmp_msg.c \
 	snmp_pdu.c  snmplib_debug.c
-if ENABLE_MINGW32SPECIFIC
-INCLUDES        = -I$(top_srcdir)/port/win32/include -I$(top_srcdir)/include
-else
-INCLUDES	= -I$(top_srcdir)/include
-endif
+INCLUDES	= -I$(top_builddir)/include -I$(top_srcdir)/include
 
 VERSION		= 3.4
 DEFS		= -DSQUID_SNMP=1
Index: squid/src/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Makefile.am,v
retrieving revision 1.34.2.2
retrieving revision 1.34.2.3
diff -u -r1.34.2.2 -r1.34.2.3
--- squid/src/Makefile.am	18 May 2006 18:34:19 -0000	1.34.2.2
+++ squid/src/Makefile.am	23 May 2006 19:11:38 -0000	1.34.2.3
@@ -63,15 +63,15 @@
 endif
 
 if ENABLE_MINGW32SPECIFIC
-INCLUDES = -I$(top_srcdir)/port/win32/include -I$(srcdir) -I$(top_srcdir)/include
 MINGWEXLIB = -lmingwex
 else
-INCLUDES = -I$(srcdir) -I$(top_srcdir)/include
 MINGWEXLIB =
 endif
 
 SUBDIRS		= fs repl auth
 
+INCLUDES        = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
+
 EXTRA_PROGRAMS = \
 	unlinkd \
 	pinger \
Index: squid/src/fs/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/Makefile.am,v
retrieving revision 1.3.30.1
retrieving revision 1.3.30.2
diff -u -r1.3.30.1 -r1.3.30.2
--- squid/src/fs/Makefile.am	16 May 2006 21:06:06 -0000	1.3.30.1
+++ squid/src/fs/Makefile.am	23 May 2006 19:11:39 -0000	1.3.30.2
@@ -25,12 +25,8 @@
 EXTRA_DIST = \
 	coss/coss-notes.txt
 
-if ENABLE_WIN32SPECIFIC
-INCLUDES      = -I. -I$(top_srcdir)/port/win32/include -I$(top_srcdir)/include \
-	-I$(top_srcdir)/src
-else
-INCLUDES      = -I. -I$(top_srcdir)/include -I$(top_srcdir)/src
-endif
+INCLUDES      = -I. -I$(top_builddir)/include -I$(top_srcdir)/include \
+	-I$(top_srcdir)/src/
 
 ## targets below to emulate distributed makefiles
 aufs/all: libaufs.a
Index: squid/src/fs/diskd/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/diskd/Attic/Makefile.am,v
retrieving revision 1.2.118.1
retrieving revision 1.2.118.2
diff -u -r1.2.118.1 -r1.2.118.2
--- squid/src/fs/diskd/Makefile.am	16 May 2006 21:06:07 -0000	1.2.118.1
+++ squid/src/fs/diskd/Makefile.am	23 May 2006 19:11:39 -0000	1.2.118.2
@@ -4,5 +4,8 @@
 #  $Id$
 #
 
-all clean:
-	@cd .. && $(MAKE) $(MFLAGS) diskd/$@
+libexec_PROGRAMS = diskd
+LDADD = $(top_builddir)/lib/libmiscutil.a @XTRA_LIBS@
+
+INCLUDES      = -I. -I$(top_builddir)/include -I$(top_srcdir)/include \
+		-I$(top_srcdir)/src/
Index: squid/src/repl/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/repl/Makefile.am,v
retrieving revision 1.3.44.1
retrieving revision 1.3.44.2
diff -u -r1.3.44.1 -r1.3.44.2
--- squid/src/repl/Makefile.am	16 May 2006 21:06:07 -0000	1.3.44.1
+++ squid/src/repl/Makefile.am	23 May 2006 19:11:39 -0000	1.3.44.2
@@ -16,11 +16,8 @@
 liblru_a_SOURCES = lru/store_repl_lru.c
 libheap_a_SOURCES = heap/store_heap_replacement.h heap/store_heap_replacement.c heap/store_repl_heap.c
 
-if ENABLE_WIN32SPECIFIC
-INCLUDES      = -I. -I$(top_srcdir)/port/win32/include -I$(top_srcdir)/include -I$(top_srcdir)/src
-else
-INCLUDES      = -I. -I$(top_srcdir)/include -I$(top_srcdir)/src
-endif
+INCLUDES      = -I. -I$(top_builddir)/include -I$(top_srcdir)/include \
+	-I$(top_srcdir)/src/
 
 ##all:
 ##	@test -z "$(SUBDIRS)" || for dir in $(SUBDIRS); do \
